Cocoon API: Class XSPClassLoader

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.language.java
Class XSPClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--org.apache.cocoon.processor.xsp.language.java.XSPClassLoader

public class XSPClassLoader
extends java.lang.ClassLoader

Version:
  $Revision: 1.5 $ $Date: 2000/02/13 18:29:37 $
Author:
  Ricardo Rocha

Field Summary
`protected java.io.File` | `repository`

Constructor Summary
`XSPClassLoader(java.io.File repository)`

Method Summary
`protected java.lang.String` | `getClassFileName(java.lang.String className)`
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`
`protected byte[]` | `loadClassData(java.lang.String className)`
`XSPClassLoader` | `reinstantiate()`

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repository

    protected java.io.File repository

Constructor Detail

### XSPClassLoader

    public XSPClassLoader(java.io.File repository)

Method Detail

### reinstantiate

    public XSPClassLoader reinstantiate()

### loadClass

    protected java.lang.Class loadClass(java.lang.String name,
                                        boolean resolve)
                                 throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`

### loadClassData

    protected byte[] loadClassData(java.lang.String className)

### getClassFileName

    protected java.lang.String getClassFileName(java.lang.String className)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.